<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <!-- catalog preview content<br/>
    {{ row?.id }} -->
    <div class="catalog-details">
        <div class="row">
            <div class="row">
                <div class="col-md-5">
                    <div class="row">
                        <div class="col-md-6">
                            <h6>Created Time</h6>
                            <p>{{ row?.created_at }}</p>
                        </div>
                        <div class="col-md-6">
                            <h6>Last Update</h6>
                            <p>{{ row?.edited_at }}</p>
                        </div>
                    </div> 
                </div>
                <div class="col-md-4">
                    <h6>Shared with</h6>
                    <UsersSelectionList />
                </div>
                <div class="col-md-3 item-actions">
                    <button class="button-icon"><i class="icon-share"></i></button>
                    <button class="button-icon"><i class="icon-download"></i></button>
                    <button class="button-icon" @click="deleteTerm"><i class="icon-delete"></i></button>
                    <button class="button-secondary orange" @click="openEditModal">Edit</button>
                </div>
            </div>
        </div>
    </div> 
    <ClientOnly>
        <Teleport to="#modals-container">
            <ModalsModalDelete v-if="showDeleteModal" @toggle="closeDelete" :value="row?.id" type="Term" :parentId="route.params.id.toString()" />
        </Teleport>
    </ClientOnly>
</template>
<script setup lang="ts">

// read props datatatable.row
const props = defineProps({
    row: Object
});

const route = useRoute();

const showDeleteModal = ref(false);

const closeDelete = () => {
    showDeleteModal.value = false;
};

const deleteTerm = () => {
    showDeleteModal.value = true;
}

const emit = defineEmits(['open-edit-modal']);
const openEditModal = () => {
  // Emit the event with the row data
  emit('open-edit-modal', props.row);
};

</script>